From a20b57628a1022580e5b90502ac4298f2ad73913 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 1 Jul 2026 06:18:35 +0000
Subject: [PATCH] libjpeg-turbo: upgrade 3.1.4.1 -> 3.2.0

---
 ...urbo_3.1.4.1.bb => libjpeg-turbo_3.2.0.bb} | 146 +++++++++++++++++-
 1 file changed, 144 insertions(+), 2 deletions(-)
 rename meta/recipes-graphics/jpeg/{libjpeg-turbo_3.1.4.1.bb => libjpeg-turbo_3.2.0.bb} (31%)

diff --git a/meta/recipes-graphics/jpeg/libjpeg-turbo_3.1.4.1.bb b/meta/recipes-graphics/jpeg/libjpeg-turbo_3.2.0.bb
similarity index 31%
rename from meta/recipes-graphics/jpeg/libjpeg-turbo_3.1.4.1.bb
rename to meta/recipes-graphics/jpeg/libjpeg-turbo_3.2.0.bb
index bb8d1207f2..1aea7ca213 100644
--- a/meta/recipes-graphics/jpeg/libjpeg-turbo_3.1.4.1.bb
+++ b/meta/recipes-graphics/jpeg/libjpeg-turbo_3.2.0.bb
@@ -1,15 +1,157 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE.md
+# +++ LICENSE.md
+# @@ -8,18 +8,46 @@
+#  
+#    This license applies to the libjpeg API library and associated programs,
+#    including any code inherited from libjpeg and any modifications to that
+# -  code.  Note that the libjpeg-turbo SIMD source code bears the
+# -  [zlib License](https://opensource.org/licenses/Zlib), but in the context of
+# -  the overall libjpeg API library, the terms of the zlib License are subsumed
+# -  by the terms of the IJG License.
+# +  code.
+#  
+#  - The Modified (3-clause) BSD License, which is listed below
+#  
+# -  This license applies to the TurboJPEG API library and associated programs, as
+# -  well as the build system.  Note that the TurboJPEG API library wraps the
+# -  libjpeg API library, so in the context of the overall TurboJPEG API library,
+# -  both the terms of the IJG License and the terms of the Modified (3-clause)
+# -  BSD License apply.
+# +  This license applies to the TurboJPEG API library and associated programs,
+# +  [libspng](https://libspng.org) (which is used by cjpeg and djpeg), and the
+# +  build/test system.
+# +
+# +  * The TurboJPEG API library wraps the libjpeg API library, so in the context
+# +    of the overall TurboJPEG API library, both the terms of the IJG License and
+# +    the terms of the Modified (3-clause) BSD License apply.
+# +  * cjpeg and djpeg use libspng, so in the context of those programs, both the
+# +    terms of the IJG License and the terms of the Modified (3-clause) BSD
+# +    License apply.
+# +
+# +
+# +Component Licenses
+# +==================
+# +
+# +Some of libjpeg-turbo's modules and internal dependencies are covered by less
+# +restrictive licenses, but in the context of libjpeg-turbo as a whole, the terms
+# +of the less restrictive licenses are subsumed by either the IJG License or the
+# +Modified BSD License.  (In other words, the terms of the less restrictive
+# +licenses are satisfied if the terms of the IJG and Modified BSD Licenses are
+# +satisfied.)
+# +
+# +- The libjpeg-turbo SIMD source code and zlib are covered by the
+# +  [zlib License](https://spdx.org/licenses/Zlib.html), which is subsumed by the
+# +  IJG License in the context of the cjpeg and djpeg programs and the libjpeg
+# +  API library.
+# +
+# +- Some of the libspng source code is covered by the
+# +  [PNG Reference Library License v2](https://spdx.org/licenses/libpng-2.0.html),
+# +  which is subsumed by the IJG License in the context of the cjpeg and djpeg
+# +  programs and the TurboJPEG API library.
+# +
+# +- Most of the libspng source code is covered by the
+# +  [Simplified (2-clause) BSD License](https://spdx.org/licenses/BSD-2-Clause.html),
+# +  which is subsumed by the Modified BSD License in the context of the cjpeg and
+# +  djpeg programs and the TurboJPEG API library.
+#  
+#  
+#  Complying with the libjpeg-turbo Licenses
+# @@ -38,7 +66,6 @@
+#          **Origin**
+#          - Clause 1 of the IJG License
+#          - Clause 1 of the Modified BSD License
+# -        - Clauses 1 and 3 of the zlib License
+#  
+#      2.  You must add your own copyright notice to the header of each source
+#          file you modified, so others can tell that you modified that file.  (If
+# @@ -47,7 +74,6 @@
+#  
+#          **Origin**
+#          - Clause 1 of the IJG License
+# -        - Clause 2 of the zlib License
+#  
+#      3.  You must include the IJG README file, and you must not alter any of the
+#          copyright or license text in that file.
+# @@ -67,9 +93,9 @@
+#          **Origin**
+#          - Clause 2 of the IJG license
+#  
+# -    2.  If your binary distribution includes or uses the TurboJPEG API, then
+# -        your product documentation must include the text of the Modified BSD
+# -        License (see below.)
+# +    2.  If your binary distribution includes or uses the TurboJPEG API or
+# +        associated programs, cjpeg, or djpeg, then your product documentation
+# +        must include the text of the Modified BSD License (see below.)
+#  
+#          **Origin**
+#          - Clause 2 of the Modified BSD License
+# @@ -81,21 +107,20 @@
+#      - IJG License
+#      - Clause 3 of the Modified BSD License
+#  
+# -4.  The IJG and The libjpeg-turbo Project do not warrant libjpeg-turbo to be
+# -    free of defects, nor do we accept any liability for undesirable
+# -    consequences resulting from your use of the software.
+# +4.  The authors and distributors do not warrant libjpeg-turbo to be free of
+# +    defects, nor do we accept any liability for undesirable consequences
+# +    resulting from your use of the software.
+#  
+#      **Origin**
+#      - IJG License
+#      - Modified BSD License
+# -    - zlib License
+#  
+#  
+#  The Modified (3-clause) BSD License
+#  ===================================
+#  
+# -Copyright (C) 2009-2026 D. R. Commander.  All Rights Reserved.<br>
+# -Copyright (C) 2015 Viktor Szathmáry.  All Rights Reserved.
+# +Copyright (C) 2009-2026 D. R. Commander<br>
+# +Copyright (C) 2018-2023 Randy <randy408@protonmail.com>
+#  
+#  Redistribution and use in source and binary forms, with or without
+#  modification, are permitted provided that the following conditions are met:
+# @@ -120,16 +145,3 @@
+#  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+#  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+#  POSSIBILITY OF SUCH DAMAGE.
+# -
+# -
+# -Why Two Licenses?
+# -=================
+# -
+# -The zlib License could have been used instead of the Modified (3-clause) BSD
+# -License, and since the IJG License effectively subsumes the distribution
+# -conditions of the zlib License, this would have effectively placed
+# -libjpeg-turbo binary distributions under the IJG License.  However, the IJG
+# -License specifically refers to the Independent JPEG Group and does not extend
+# -attribution and endorsement protections to other entities.  Thus, it was
+# -desirable to choose a license that granted us the same protections for new code
+# -that were granted to the IJG for code derived from their software.
+# 
+#
+
 SUMMARY = "Hardware accelerated JPEG compression/decompression library"
 DESCRIPTION = "libjpeg-turbo is a derivative of libjpeg that uses SIMD instructions (MMX, SSE2, NEON) to accelerate baseline JPEG compression and decompression"
 HOMEPAGE = "http://libjpeg-turbo.org/"
 
 LICENSE = "IJG & BSD-3-Clause & Zlib"
-LIC_FILES_CHKSUM = "file://LICENSE.md;md5=5e22220994831d7f0b91d09d94c89a63"
+LIC_FILES_CHKSUM = "file://LICENSE.md;md5=d21daef3b4b318f77062055059c72934"
 
 DEPENDS:append:x86-64:class-target = " nasm-native"
 DEPENDS:append:x86:class-target = " nasm-native"
 
 SRC_URI = "${GITHUB_BASE_URI}/download/${PV}/${BP}.tar.gz"
-SRC_URI[sha256sum] = "ecae8008e2cc9ade2f2c1bb9d5e6d4fb73e7c433866a056bd82980741571a022"
+SRC_URI[sha256sum] = "6f30092cef9fb839779646608f4ee14ae3cbac989c47fa05e841b0841f09878e"
 UPSTREAM_CHECK_REGEX = "releases/tag/(?P<pver>\d+\.\d+\.(?!9\d+)\d+(\.\d+)*)"
 
 PE = "1"
-- 
2.47.1

